###############################################################################
#
# This perl module contains the configuration information for this parser.
# If you don't understand the format of this configuration file DON'T TOUCH IT.
#
###############################################################################
# Licensed Materials - Property of IBM
#
#  5724-T01 5724-S98
#
# (c) Copyright IBM Corp. 2003, 2008. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###############################################################################

package UserConfig;

@ISA    = qw(Exporter);
@EXPORT = qw(postparser_config);

#use diagnostics;
use strict;
use Exporter ();

#-------------------------------------------------------------------------------

my @rules = (

    #-------------------------------------------------------------------------------
    # Modify/Add rules here
    #-------------------------------------------------------------------------------

    {
        RULE_TYPE              => 'PIF_2_OUTPUT',
        RULE_DESC              => 'ouput HuaWei BSS V002 R005 GSM Data',
        INPUT_FILE_DESCRIPTION => [
            ## A_Interface
            '^pmresult_536870914_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870915_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870916_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## BS
            '^pmresult_536870931_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870952_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## BSC
            '^pmresult_536870912_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870913_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870918_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870919_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870920_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870927_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870964_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870965_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870974_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## Cell
            '^pmresult_536870922_\d{2}_\d{12}_\d{12}-#-I\.pif$',

            #'^pmresult_536870923_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870924_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870925_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870926_\d{2}_\d{12}_\d{12}-#-I\.pif$',

            #'^pmresult_536870927_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870928_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870929_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870930_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870932_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870933_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870936_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870937_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870947_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870948_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870949_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870950_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870951_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870966_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870967_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870968_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870971_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870972_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## LAPD
            '^pmresult_536870943_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## Neighbour
            '^pmresult_536870934_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870935_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## Processor
            '^pmresult_536870917_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## Signalling_Link
            '^pmresult_536870921_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## TC_Board
            '^pmresult_536870957_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870970_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## TRX
            '^pmresult_526870942_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870938_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870939_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870940_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870941_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870942_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870944_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870945_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870946_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870953_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870954_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870955_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870956_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870969_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_536870973_\d{2}_\d{12}_\d{12}-#-I\.pif$',
        ],
        REDUNDANT_HEADER_COUNTERS => [ 'startDate' ],
        REDUNDANT_DATA_COUNTERS   => [],
        OUTPUT_FORMAT             => 'LIF_Writer',
        PRODUCE_PIF               => 0,
    },

    {
        RULE_TYPE               => 'ACCUMULATE',
        RULE_DESC               => 'Accumulate c536873190 for Block M536870927_AGGR',
        INPUT_FILE_DESCRIPTION  => ['^pmresult_536870927_\d{2}_\d{12}_\d{12}-#-I\.pif$',],
        COUNTERS_TO_SORT_ON     => [ qw( BSC_Id STARTDATE STARTTIME ) ],
        OUTPUT_BLOCK_NAME       => 'M536870927_AGGR',
        REDUNDANT_DATA_COUNTERS => [
            'c536872996', 'c536872997', 'c536873011', 'c536873029', 'c536873030',
            'c536873031', 'c536873067', 'c536873068', 'c536873069', 'c536873070',
            'c536873071', 'c536873072', 'c536873073', 'c536873074', 'c536873075',
            'c536873076', 'c536873077', 'c536873078', 'c536873079', 'c536873080',
            'c536873081', 'c536873082', 'c536873083', 'c536873084', 'c536873085',
            'c536873086', 'c536873087', 'c536873088', 'c536873089', 'c536873090',
            'c536873168', 'c536873169', 'c536873170', 'c536873171', 'c536873172',
            'c536873173', 'c536873174', 'c536873175', 'c536873188', 'c536873191',
            'c536873192', 'c536873193', 'c536873194', 'c536873196', 'c536873197',
            'c536873198', 'c536873204', 'c536873205', 'c536873206', 'c536873207',
            'c536873208', 'c536873209', 'c536873210', 'c536873211', 'c536873212',
            'c536873213', 'c536891212', 'c536891223', 'c536891612', 'M536870927_AGGR_NUM_IN_SUM',
            'Object_Name', 'BTSSiteManager', 'Cell', 'Reliability', 'startDate'
        ],
        OUTPUT_FORMAT         => 'LIF_Writer',
        NON_ADDITIVE_COUNTERS => [ qw(GP) ],
    },

    {
        RULE_TYPE                                 => 'JOIN',
        RULE_DESC                                 => 'Join  files to add in counter c536873072 from block M536870927 (CELL) into block M536870923',
        INPUT_FILE_DESCRIPTION                    => [ '^pmresult_536870927_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_536870923_\d{2}_(\d{12}_\d{12})-#-I\.pif$', ],
        OUTPUT_BLOCK_NAME                         => 'M536870923',
        PRODUCE_PIF                               => 'TRUE',
        OUTPUT_FORMAT                             => 0,
        COUNTERS_TO_JOIN_ON                       => [qw(BTSSiteManager BSC_Id Cell STARTTIME)],
        #HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'blkName' ], #IZ67841
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'Dname', 'blkName' ],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
        OUTPUT_FILENAME_START                     => 'M536870923',
        REDUNDANT_DATA_COUNTERS                   => [
            'c536872996', 'c536872997', 'c536873011', 'c536873029', 'c536873030', 'c536873031', 'c536873067', 'c536873068', 'c536873069', 'c536873070', 'c536873071', 'c536873073',
            'c536873076', 'c536873077', 'c536873078', 'c536873079', 'c536873080', 'c536873081', 'c536873082', 'c536873083', 'c536873084', 'c536873085', 'c536873086', 'c536873087',
            'c536873088', 'c536873089', 'c536873090', 'c536891212', 'c536891223', 'c536873168', 'c536873169', 'c536873170', 'c536873171', 'c536873172', 'c536873173', 'c536873174',
            'c536873175', 'c536873188', 'c536873190', 'c536873191', 'c536873192', 'c536873193', 'c536873194', 'c536873196', 'c536873197', 'c536873198', 'c536873204', 'c536873205',
            'c536873206', 'c536873207', 'c536873208', 'c536873209', 'c536873210', 'c536873074', 'c536873075', 'c536873211', 'c536873212', 'c536873213', 'c536891612'
        ],
    },


## [START] added for GSM VN (30/6/2008) ########################################################

    ### [START] GSM Blocks ###

    # 01
    {
        RULE_TYPE                                 => 'JOIN',
        RULE_DESC                                 => 'Join files to merge block M536870967, M536870966, M536870950 to a new block, CELL_HRFR',
        INPUT_FILE_DESCRIPTION                    => [ '^pmresult_536870950_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_536870966_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_536870967_\d{2}_(\d{12}_\d{12})-#-I\.pif$' ],
        OUTPUT_BLOCK_NAME                         => 'CELL_HRFR',
        PRODUCE_PIF                               => 0,
        OUTPUT_FORMAT                             => 'LIF_Writer',
        COUNTERS_TO_JOIN_ON                       => [qw(BTSSiteManager Object_Name Cell STARTTIME)],
        #HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'blkName' ], #IZ67841
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'Dname'],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
        OUTPUT_FILENAME_START                     => 'CELL_HRFR',
        REDUNDANT_HEADER_COUNTERS                 => [ 'startDate' ],
    },

    # 02
    {
        RULE_TYPE                                 => 'JOIN',
        RULE_DESC                                 => 'Join files to merge block M536870922, M536870968 to a new block, CELL_SDCCH',
        INPUT_FILE_DESCRIPTION                    => [ '^pmresult_536870922_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_536870968_\d{2}_(\d{12}_\d{12})-#-I\.pif$' ],
        OUTPUT_BLOCK_NAME                         => 'CELL_SDCCH',
        PRODUCE_PIF                               => 0,
        OUTPUT_FORMAT                             => 'LIF_Writer',
        COUNTERS_TO_JOIN_ON                       => [qw(BTSSiteManager Object_Name Cell STARTTIME)],
        #HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'blkName' ], #IZ67841
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'Dname' ],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
        OUTPUT_FILENAME_START                     => 'CELL_SDCCH',
        REDUNDANT_HEADER_COUNTERS                 => [ 'startDate' ],
    },

    # 03
    {
        RULE_TYPE                                 => 'JOIN',
        RULE_DESC                                 => 'Join files to merge block M536870922, M536870923, M536870927 to a new block, CELL_OTHER',
        INPUT_FILE_DESCRIPTION                    => [ '^pmresult_536870922_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_536870923_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_536870927_\d{2}_(\d{12}_\d{12})-#-I\.pif$' ],
        OUTPUT_BLOCK_NAME                         => 'CELL_OTHER',
        PRODUCE_PIF                               => 0,
        OUTPUT_FORMAT                             => 'LIF_Writer',
        COUNTERS_TO_JOIN_ON                       => [qw(BTSSiteManager Object_Name Cell STARTTIME)],
        #HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'blkName' ], #IZ67841
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'Dname' ],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
        OUTPUT_FILENAME_START                     => 'CELL_OTHER',
        REDUNDANT_HEADER_COUNTERS                 => [ 'startDate' ],
    },

    ### [END] GSM Blocks ###


    ### [START] GPRS Blocks ###

    # 04
    {
        RULE_TYPE                                 => 'JOIN',
        RULE_DESC                                 => 'Join files to merge block M587202800, M587202770 to a new block, CELL_PCH',
        INPUT_FILE_DESCRIPTION                    => [ '^pmresult_587202800_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_587202770_\d{2}_(\d{12}_\d{12})-#-I\.pif$' ],
        OUTPUT_BLOCK_NAME                         => 'CELL_PCH',
        PRODUCE_PIF                               => 0,
        OUTPUT_FORMAT                             => 'LIF_Writer',
        COUNTERS_TO_JOIN_ON                       => [qw(PCU_Id PCUCell PCUCell_name BTSSiteManager STARTTIME)],
        #HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'blkName' ], #IZ67841
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'Dname' ],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
        OUTPUT_FILENAME_START                     => 'CELL_PCH',
        REDUNDANT_HEADER_COUNTERS                 => [ 'startDate' ],
    },


    # 05
    # All counters merged into one block via the identifier Cell, and add 2 counters in it:-
    #
    # RLC_CS_Tot = C587202863 + C587202864 + C587202865 + C587202866 + C587202833 + C587202834 + C587202835 + C587202836
    #
    # Retrans_RLC_CS_Tot = C587202863*C587202867 + C587202864*C587202868 + C587202865*C587202869 + C587202866*C587202870
    #                      + C587202833*C587202837 + C587202834*C587202838 + C587202835*C587202839 + C587202836*C587202840

    {
        RULE_TYPE                                 => 'JOIN',
        RULE_DESC                                 => 'Join files to merge block M587202860, M587202830 to a new block, CELL_RLC_CS',
        INPUT_FILE_DESCRIPTION                    => [ '^pmresult_587202860_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_587202830_\d{2}_(\d{12}_\d{12})-#-I\.pif$' ],
        OUTPUT_BLOCK_NAME                         => 'CELL_RLC_CS',
        PRODUCE_PIF                               => 1,
        #OUTPUT_FORMAT                             => 'LIF_Writer',
        COUNTERS_TO_JOIN_ON                       => [qw(PCU_Id PCUCell PCUCell_name BTSSiteManager STARTTIME)],
        #HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'blkName' ], #IZ67841
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'Dname' ],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
        OUTPUT_FILENAME_START                     => 'CELL_RLC_CS',
    },

    {
        RULE_TYPE                                 => 'PERLIZE',
        RULE_DESC                                 => 'Complex KPI for CELL_RLC_CS',
        INPUT_FILE_DESCRIPTION                    => ['^CELL_RLC_CS-#-.*-#-J.pif$'],
        FILENAME_SUFFIX                           => 'PZ',
        OUTPUT_FORMAT                             => 'LIF_Writer',
        PRODUCE_PIF                               => 0,
        REDUNDANT_HEADER_COUNTERS                 => [ 'startDate' ],
        DATA_COUNTERS_OP                          => sub {

            ### New counter names creation and related operation:-
            my $d_ref = shift;

            $d_ref->{RLC_CS_Tot} = $d_ref->{C587202863} + $d_ref->{C587202864} + $d_ref->{C587202865} + $d_ref->{C587202866} + $d_ref->{C587202833} + $d_ref->{C587202834} + $d_ref->{C587202835} + $d_ref->{C587202836};

            $d_ref->{Retrans_RLC_CS_Tot} = $d_ref->{C587202863} * $d_ref->{C587202867} + $d_ref->{C587202864} * $d_ref->{C587202868} + $d_ref->{C587202865} * $d_ref->{C587202869} + $d_ref->{C587202866} * $d_ref->{C587202870} + $d_ref->{C587202833} * $d_ref->{C587202837} + $d_ref->{C587202834} * $d_ref->{C587202838} + $d_ref->{C587202835} * $d_ref->{C587202839} + $d_ref->{C587202836} * $d_ref->{C587202840};

            return 0;
        },
    },



    # 06
    {
        RULE_TYPE                                 => 'JOIN',
        RULE_DESC                                 => 'Join files to merge block M587202710, M587202740, M587202690, M587202600 to a new block, CELL_GPRS_TBF',
        INPUT_FILE_DESCRIPTION                    => [ '^pmresult_587202710_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_587202740_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_587202690_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_587202600_\d{2}_(\d{12}_\d{12})-#-I\.pif$'
                                                     ],
        OUTPUT_BLOCK_NAME                         => 'CELL_GPRS_TBF',
        PRODUCE_PIF                               => 0,
        OUTPUT_FORMAT                             => 'LIF_Writer',
        COUNTERS_TO_JOIN_ON                       => [qw(PCU_Id PCUCell PCUCell_name BTSSiteManager STARTTIME)],
        #HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'blkName' ], #IZ67841
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'Dname' ],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
        OUTPUT_FILENAME_START                     => 'CELL_GPRS_TBF',
        REDUNDANT_HEADER_COUNTERS                 => [ 'startDate' ],
    },

    # 07
    {
        RULE_TYPE                                 => 'JOIN',
        RULE_DESC                                 => 'Join files to merge block M587204580, M587204590, M587204560, M587204570, M587203040 to a new block, CELL_RLC_MCS',
        INPUT_FILE_DESCRIPTION                    => [ '^pmresult_587204580_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_587204590_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_587204560_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_587204570_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_587203040_\d{2}_(\d{12}_\d{12})-#-I\.pif$'
                                                     ],
        OUTPUT_BLOCK_NAME                         => 'CELL_RLC_MCS',
        PRODUCE_PIF                               => 0,
        OUTPUT_FORMAT                             => 'LIF_Writer',
        COUNTERS_TO_JOIN_ON                       => [qw(PCU_Id PCUCell PCUCell_name BTSSiteManager STARTTIME)],
        #HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'blkName' ], #IZ67841
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'Dname' ],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
        OUTPUT_FILENAME_START                     => 'CELL_RLC_MCS',
        REDUNDANT_HEADER_COUNTERS                 => [ 'startDate' ],
    },

    # 08
    {
        RULE_TYPE                                 => 'JOIN',
        RULE_DESC                                 => 'Join files to merge block M587202970, M587202990 to a new block, CELL_EGPRS_TBF',
        INPUT_FILE_DESCRIPTION                    => [ '^pmresult_587202970_\d{2}_(\d{12}_\d{12})-#-I\.pif$',
                                                       '^pmresult_587202990_\d{2}_(\d{12}_\d{12})-#-I\.pif$'
                                                     ],
        OUTPUT_BLOCK_NAME                         => 'CELL_EGPRS_TBF',
        PRODUCE_PIF                               => 0,
        OUTPUT_FORMAT                             => 'LIF_Writer',
        COUNTERS_TO_JOIN_ON                       => [qw(PCU_Id PCUCell PCUCell_name BTSSiteManager STARTTIME)],
        #HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'blkName' ], #IZ67841
        HEADER_COUNTERS_TO_USE_IN_OUTPUT_FILENAME => [ 'startDate', 'Dname' ],
		HOURS_TO_WAIT_FOR_PARTNER_FILES           => -1,
        OUTPUT_FILENAME_START                     => 'CELL_EGPRS_TBF',
        REDUNDANT_HEADER_COUNTERS                 => [ 'startDate' ],
    },

    ### [END] GPRS Blocks ###

## [END] added for GSM VN (30/6/2008) ########################################################



    {
        RULE_TYPE                 => 'PERLIZE',
        RULE_DESC                 => 'Prepare the ID [BTSSiteManager BSC_Id Cell] for block M536870923',
        #INPUT_FILE_DESCRIPTION    => ['M536870923-\#-\d{8}-\#-536870927-\#-\d+-\#-J.pif$'], #IZ67841
        INPUT_FILE_DESCRIPTION    => ['M536870923-\#-\d{8}-\#-(\d{12}_\d{12})-\#-536870927-\#-\d+-\#-J.pif$'],
		FILENAME_SUFFIX           => 'PZ',
        OUTPUT_FORMAT             => 'LIF_Writer',
        PRODUCE_PIF               => 0,
        REDUNDANT_HEADER_COUNTERS => [ 'startDate' ],
        DATA_COUNTERS_OP          => sub {
            my $d_ref = shift;
            if ( $d_ref->{BSC_Id} =~ /^$/ ) {
                $d_ref->{Object_Name} =~ /(.+)\/Cell:(.+)/;
                $d_ref->{BSC_Id} = $1;
                $d_ref->{Cell}   = $2;
                $d_ref->{Cell} =~ /(.+)-(.+)/;
                $d_ref->{BTSSiteManager} = $1;
                $d_ref->{Cell}           = $1 . $2;
            }

            return 0;
        },
    },

######## GPRS ############
    {
        RULE_TYPE              => 'PIF_2_OUTPUT',
        RULE_DESC              => 'ouput HuaWei BSS V002 R005 GPRS Data',
        INPUT_FILE_DESCRIPTION => [
            ## BSC
            '^pmresult_587203160_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## CELL
            '^pmresult_587203010_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202560_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202580_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202600_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202620_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202640_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202660_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202690_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202710_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202740_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202770_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202800_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202830_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202860_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202890_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202920_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202940_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202960_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202970_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587202990_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587203040_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587203070_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587203110_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587204560_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587204570_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587204580_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            '^pmresult_587204590_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## LAPD
            '^pmresult_587203180_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## NSVC
            '^pmresult_587203210_\d{2}_\d{12}_\d{12}-#-I\.pif$',
            ## Processor
            '^pmresult_587203240_\d{2}_\d{12}_\d{12}-#-I\.pif$'
        ],
        REDUNDANT_HEADER_COUNTERS => [ 'startDate' ],
        REDUNDANT_DATA_COUNTERS   => [],
        OUTPUT_FORMAT             => 'LIF_Writer',
        PRODUCE_PIF               => 0,
    },

    #-------------------------------------------------------------------------------
);

#-------------------------------------------------------------------------------

sub postparser_config {
    return \@rules;
}

1;
